#!/bin/bash
cd '../texts'

echo "
Conversion du document charte.xml 
---------------------------------"
echo ". Construction de l'arbre"
../bin/buildtree.pl -l './/w' -f 'forme' charte.xml \
| xmllint --format - > 'demo/charte.anabuilt.xml'
echo ". Exportation pour le partage"
../bin/work2share.pl -l '/charte/div' -d 'share' -f './/L/attribute::forme' \
'demo/charte.anabuilt.xml' > 'demo/charte.shareable.xml'

echo "
Conversion des tests
--------------------"
echo ". Exportation pour le partage"
../bin/work2share.pl -l '/test/div[2]' -d 'share' 'test_work.xml' \
| xmllint --format -> 'demo/test_work.shareable.xml'
echo ". Exportation pour le travail"
../bin/work2share.pl -l '/test/anaGrp' \
'test_share.xml' > 'demo/test_share.workable.xml'


echo "
Syntaxe des commandes
---------------------"
../bin/buildtree.pl -h
../bin/work2share.pl -h

echo "
J'ai termin
------------
Si tout s'est bien pass, les fichiers xml contenus dans 
texts/demo sont identiques  ceux contenus dans l'archive prsente 
dans le mme rpertoire."
